[ Новые сообщения · Участники · Правила форума · Поиск · RSS ]
  • Страница 1 из 1
  • 1
Apple Форум » Все об Apple » iPhone, iPod & Watch » Старые приложения WatchKit не будут работать в watchOS 5...
Старые приложения WatchKit не будут работать в watchOS 5...
malrozДата: Среда, 11.04.2018, 16:50 | Сообщение # 1
Генералиссимус
Группа: Администраторы
Сообщений: 9464
Награды: 1
Репутация: 102
Статус: Offline


Последняя бета-версия watchOS 4.3.1 стала показывать разработчикам предупреждение во время запуска оригинальных приложений watchOS 1 WatchKit. Очевидно, эти приложения могут быть полностью удалены в watchOS 5.

Предупреждение гласит, что приложения WatchKit (watchOS 1) необходимо обновить для повышения надежности будущих версий watchOS. Дело в том, что приложения watchOS 1 работают куда медленнее и полагаются исключительно на Bluetooth-модуль вашего iPhone. Все основные процессы происходили тогда на смартфоне и затем потоком направлялись на часы. Это закончилось с появлением watchOS 2.

Таким образом, отказ от поддержки приложений watchOS 1 ведет к полной независимости «умных» часов Apple. Тем более, что в Watch Series 3 добавили поддержку LTE, смартфон теперь стал не нужен вообще. При этом многие разработчики отказались от поддержки этой платформы, назвав пользовательскую базу слишком маленькой, а стоимость разработки — слишком высокой. Самый яркий пример тому — Instagram.

hi-tech.mail.ru


 
Apple Форум » Все об Apple » iPhone, iPod & Watch » Старые приложения WatchKit не будут работать в watchOS 5...
  • Страница 1 из 1
  • 1
Поиск: